package de.fahsel.dewis;

/**
 * Diese abstrakte Klasse repräsentiert eine Mitgliedschaft in einem Verein oder Verband.
 * 
 * @author Peter Fahsel
 *
 */
public abstract class AbstractMembership
{
	private AbstractOrganisation organisation;
	
	protected AbstractMembership(AbstractOrganisation organisation)
	{
		setOrganisation(organisation);
	}

	/**
	 * @return Die Organisation (Verein oder Verband) für die diese Mitgliedschaft besteht
	 */
	protected AbstractOrganisation getOrganisation()
	{
		return organisation;
	}

	protected void setOrganisation(AbstractOrganisation organisation)
	{
		this.organisation = organisation;
	}
	
	
}
